%define name	kfilereplace
%define version	0.7.0
%define release	5mdk

Name:		%{name}
Version:	%{version}
Release:	%{release}
Group:		Graphical desktop/KDE
License:	GPL
Source0:	http://unc.dl.sourceforge.net/sourceforge/kfilereplace/%{name}-%{version}.tar.bz2
URL:		http://kfilereplace.sourceforge.net
BuildRequires:	libqt3-devel kdebase-devel libz-devel XFree86-devel libart_lgpl2-devel libpng-devel
BuildRequires:	libjpeg-devel libexpat-devel
Buildroot:	%{_tmppath}/%{name}-%{version}-buildroot
Summary:	Replaces strings in all files of a directory


%description
KFileReplace allows to search and replace text strings inside files.
Many advanced options, as wildcards or variables can be used. For example,
it's very easy to replace the string "www.old-site/kfilereplace/" with this
one: "kfilereplace.sourceforge.net/" in all files of a directory. Then it can
be very useful for webmasters, or developers, when writing HTML, PHP, or C++
files.

%prep
%setup -q

%build
%make -f Makefile.cvs
./configure	--host=%{_target_platform} \
		--target=%{_target_platform} \
		--build=%{_target_platform} \
		--prefix=%{_prefix} \
		--libdir=%{_libdir} \
		--disable-debug \
		--enable-final \
		--enable-mt \
		--enable-shared \
		--disable-static \
		--disable-objprelink \
		--with-pic \
		--with-gnu-ld \
		--disable-rpath \
		--disable-embedded \
		--enable-fast-install=yes \
		--with-qt-dir=%{_libdir}/qt3

%make CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

install -d $RPM_BUILD_ROOT/%{_menudir}
kdedesktop2mdkmenu.pl %{name} "Applications/File tools" $RPM_BUILD_ROOT%{_datadir}/applnk/Utilities/%{name}.desktop $RPM_BUILD_ROOT%{_menudir}/%{name} kde
install -m644 $RPM_BUILD_ROOT%{_iconsdir}/hicolor/16x16/apps/%{name}.png -D $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
install -m644 $RPM_BUILD_ROOT%{_iconsdir}/hicolor/32x32/apps/%{name}.png -D $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
install -m644 $RPM_BUILD_ROOT%{_iconsdir}/hicolor/48x48/apps/%{name}.png -D $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png
#fix invalid binname
for f in `find  $RPM_BUILD_ROOT/%{_bindir}/ -type f -name %{_target_platform}-\*`
	do mv $f `echo $f| sed s/%{_target_platform}-//g`
done
	
%find_lang %{name}

%post
%update_menus

%postun
%clean_menus

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%doc %{_docdir}/HTML/*/%{name}
%doc AUTHORS BUGS ChangeLog INSTALL NEWS README TODO VERSION
%{_bindir}/%{name}
%{_bindir}/%{name}_client
%{_datadir}/apps/%{name}
%{_datadir}/applnk/Utilities/%{name}.desktop
%{_iconsdir}/hicolor/16x16/apps/%{name}.png
%{_iconsdir}/hicolor/32x32/apps/%{name}.png
%{_iconsdir}/hicolor/48x48/apps/%{name}.png
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_menudir}/%{name}

%changelog
* Thu Mar 13 2003 Per yvind Karlsen <peroyvind@sintrax.net> 0.7.0-5mdk
- yet another BuildRequires added
- smarter way for dealing with invalid binnames

* Wed Mar 12 2003 Per yvind Karlsen <peroyvind@sintrax.net> 0.7.0-4mdk
- add BuildRequires
- more macros
- more consistent
- added --libdir to please mr rpmlint
- add a few more docs
- relativisate symlink
- fix binname

* Sat Mar 01 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 0.7.0-3mdk
- Rebuild

* Thu Jan 30 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.7.0-2mdk
- rebuild

* Wed Oct 23 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.7.0-1mdk
- from Per yvind Karlsen <peroyvind@delonic.no> :
	- Initial release
